html,
body {
    margin: 0;
    width: 100%;
    background: linear-gradient(304deg, rgba(12,0,15,1) 0%, rgba(9,0,36,1) 14%, rgba(9,31,52,1) 29%, rgba(13,44,75,1) 51%, rgba(3,0,13,1) 86%, rgba(21,2,25,1) 96%);
    background-attachment: fixed;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    
}



#header {
    top: 0;
    left: 0;
    height: 50px;
    width: 100%;
    box-shadow: 1px 1px 1px rgb(15, 15, 15);
    background-color: rgba(0, 27, 89, 0.432);
    overflow: hidden;
    z-index: 1;
    overflow: visible;
}
#name{
     float: left;
}

#header div p {
    margin: 15px;
    color: white;
    font-family: sans-serif;
    font-weight: bold;
}

.slideshow {
    top: 5%;
    left: 0;
    height: 40%;
    width: 100%;
    box-shadow: 1px 1px 1px rgb(15, 15, 15);
    overflow: hidden;
}

@keyframes banner1 {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.banner {
    top: 0;
    left: 0;
    height: 180px;
    width: 100%;
    margin-top: 10%;

    background-color: #2d8bff14;
    box-shadow: 1px 1px 1px rgb(15, 15, 15);
    
   
    background-position: center;
    background-size: 110%;
    background-repeat: no-repeat;
    background-position: center center;
   
    overflow: hidden;
    text-align: center;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    animation-name: bannerA;
    animation-iteration-count: infinite;
    animation-duration: 100s;
}

.banner h1 {
    margin-top: 10%;
    color: white;
    font-family: sans-serif;
    animation-name: banner1;
    animation-duration: 3s;
    text-shadow: rgb(19, 19, 19) 1px 1px;

}

.slidePos {
    position: absolute;
    bottom: 55%;
    left: 45%;
    height: 3%;
    width: 10%;
    overflow: hidden;
}

.slideDot {
    float: left;
    height: 22px;
    width: 22px;
    margin-left: 1%;
    background-color: rgb(29, 29, 29);
    border-radius: 100px 100px 100px 100px;
}

#aboutMe {
    margin-top: 10%;
    top: 45%;
    left: 0;
    width: 70%;
    height: 1400px;
}


#aboutMe div img {
    height: 130px;
    border-radius: 50%;
}

#aboutMe div h2 {
    color: white;
    font-family: sans-serif;

}

#aboutMe div p {
    color: white;
    font-family: sans-serif;
    width: 100%;
}



#navigation {
    float: right;
    height: 100%;
    width: 50%;
}

.tab {
    top: 0;
    height: 100%;
    width: 40%;
    float: right;
    font-family: sans-serif;
    color: white;
    margin-right: 1%;
    cursor: pointer;
    text-align: center;
    line-height: 3;

}



.tab:hover {
    background-color: rgb(26, 26, 26);
    box-shadow: 1px 1px 10px 5px rgb(0, 25, 49, 1);
    color: rgb(114 168 251)
}

#overlay {
    position: fixed;
    background-color: rgb(27, 27, 27);
    margin: 0;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 100;
    overflow: hidden;
    text-shadow: rgb(19, 19, 19) 3px 4px;
    text-align: center;
    animation-name: backgroundAnimation;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    opacity: 0;
}

#overlay h1 {
    position: relative;
    top: 30%;
    color: white;
    font-family: sans-serif;
    font-size: 150;
    z-index: 1;
    animation-name: h1Animation;
    animation-duration: 1s;
    opacity: 1;
}

@keyframes h1Animation {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes leftAnimation {
    0% {
        left: 0;
    }

    50% {
        left: 0;
    }

    100% {
        left: -100%;
    }
}

@keyframes rightAnimation {
    0% {
        left: 0;
    }

    50% {
        left: 0;
    }

    100% {
        left: 100%;
    }
}

@keyframes backgroundAnimation {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        display: none;
    }
}

#overlayLeft {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(0, 0, 0);
    clip-path: polygon(0% 0%, 0% 100%, 100% 100%);
    animation-name: leftAnimation;
    animation-duration: 2s;

}

#overlayRight {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(0, 0, 0);
    clip-path: polygon(0% 0%, 100% 100%, 100% 0%);
    animation-name: rightAnimation;
    animation-duration: 2s;
}

#home {
    top: 5%;
    left: 0;
    width: 100%;

    display: flex;
flex-direction: column;
align-items: center;
text-align: center;
}

#contact {
    height: 610px;
    min-height: calc(100vh - 150px);
    top: 5%;
    left: 0;
    width: 100%;
    display: none;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

#form {
    max-height: 600px;
    min-height: 550px;
    height: 90%;
    margin-top: 5%;
    width: 95%;
    padding: 20px;
    background-color: rgb(0 0 0 / 15%);
    border: 1px solid #000000a1;
    border-radius: 1px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.5);
    font-family: 'Arial', sans-serif;
    box-sizing: border-box;
}

#form h2 {
    margin-top: 1%;
    color: white;
    font-family: 'Arial', sans-serif;
    text-align: center;
    margin-bottom: 5%;
    font-size: 1.8em;
    font-weight: bold;
}

label {
    float: left;
    display: block;
    margin-bottom: 3%;
    font-size: 1em;
    color: white;
    font-family: 'Arial', sans-serif;
}

textarea {
    resize: none;
    width: 100%;
    margin-bottom: 4%;
    border: 1px solid #ffffff14;
    background-color: rgb(29, 29, 29, 0.4);
    color: white;
    font-family: 'Arial', sans-serif;
    font-size: 1em;
    height: 45%;
    border-radius: 4px;
    outline: none;
    box-sizing: border-box;
}

input[type="email"] {
    width: 100%;
    margin-bottom: 5%;
    border: 1px solid #ffffff14;
    background-color: rgb(29, 29, 29, 0.4);
    color: white;
    font-family: 'Arial', sans-serif;
    font-size: 1em;
    height: 40px;
    max-height: 60px;
    border-radius: 4px;
    outline: none;
    box-sizing: border-box;
}

input[type="text"]:focus,
textarea:focus {
    border-color: #2b2eda;
}

#sendBtn {
    max-height: 80px;
    height: 40px;
    width: 100%;
    border: 1px solid #ffffff14;
    background-color: rgb(29, 29, 29, 0.4);
    color: white;
    font-family: 'Arial', sans-serif;
    font-size: 1.1em;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border-radius: 4px;
    outline: none;
}

#sendBtn:hover {
    background-color: rgb(0, 0, 0);
}

#sendBtn:focus {
    border-color: #003cff3a;
}


#skills1 {
    justify-self: center;
    height: 430px;
    width: 280px;
    display: none;
    visibility: hidden;
}

.skillBox1 {
    position: relative;
    float: left;
    height: 130px!important;
    width: 130px!important; 
    background-color: rgb(20, 20, 20);
    margin: 3px;
    font-family: sans-serif;
    font-weight: bold;
    color: white;
    text-align: center;
    line-height: 1.2;
    white-space: normal;
    word-break: break-word;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

}


#btitle{
    margin-top: 10%;
    margin-bottom: 3%;
    color: white;
    font-family: sans-serif;
    font-size: larger;
    
    left: 5%;
    top: 10%; 
    width: 100%;
}

#bd{
    height: 25%;
    width: 10%;
    border-radius: 30px;
    box-shadow: 3px 3px 13px 0px rgb(26 2 123);
    font-family: sans-serif;
    font-weight: 500;
    font-size: medium;
    
    
    

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    margin-top: 7%;
    left: 10%;
    top: 20%; 
    width: 70%;

    background-color: #0781ff00;
    color: white;
}

#bc{
    display: none;
    visibility: hidden;
}

.banner img {
    display: none;
    visibility: hidden;
}

#aboutme img {
    height: 60%;
    border-radius: 50%;
}

@keyframes bannerA {
    0% {
        background-size: 100%;
    }

    50% {
        background-size: 140%;
    }

    100% {
        background-size: 100%;
    }
}







.skills2{
    justify-self: center;
    height: 430px;
    width: 280px;
    margin-bottom: 10%;
}

.flip-box {
    background-color: transparent;
    float: left;
    margin: 3px;
    height: 130px!important;
    width: 130px!important; 
    perspective: 1000px;
  }
  
  .flip-box-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
  }
  
  .flip-box:hover .flip-box-inner {
    transform: rotateY(180deg);
  }
  
  .flip-box-front, .flip-box-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
  }
  
  .flip-box-front {
    background-color: rgb(20, 20, 20);
    font-family: sans-serif;
    font-weight: bold;
    color: white;
    text-align: center;
    line-height: 1.2;
    white-space: normal;
    word-break: break-word;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
  }
  
  .flip-box-back {
    background-color: rgb(20, 20, 20);
    font-family: sans-serif;
    font-weight: bold;
    color: white;
    text-align: center;
    line-height: 1.2;
    white-space: normal;
    word-break: break-word;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    transform: rotateY(180deg);
  }

  #bcMobile{
    height: 45px;
    border-radius: 30px;
    box-shadow: 1px 1px 5px 0px rgb(0 31 185);
    font-family: sans-serif;
    font-weight: 500;
    font-size: larger;
    
    
    display: flex;
    align-items: center;
    justify-content: center;
    justify-self: center;
    text-align: center;
    width: 90%;
    border: 1px solid rgba(0, 0, 0, 0.233);
    background-color: #ffffff12;
    color: rgb(255, 255, 255);
    cursor: pointer;
  }

  #bottomSpace{
    height: 20%;
  }

  #footer{
    width: 100%;
    height: 100px;
    background-color: #1c1c1cb3;
}

.ftab{
    top: 0;
    height: 50%;
    font-family: sans-serif;
    color: white;
    margin-left: 1%;
    cursor: pointer;
    text-align: center;
    line-height: 3;
}

.ftab:hover {
    color: rgb(114 168 251)
}

#dl{
    color: #006cc9;
}

#inputCheckLabel{
    font-size: smaller;
}

#impressum{
    min-height: calc(100vh - 150px);
    color: white;
    font-family: sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

#datenschutzerklärung{
    color: white;
    font-family: sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

